Bug 821517 - [abrt] evolution-3.2.3-3.fc16: _int_free: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.2.3-3.fc16: _int_free: Process /usr/bin/evolution was kill...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:24c59a95266dbb0145c3a34aded...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 14:24 EDT by Dave
Modified: 2013-02-13 12:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 12:40:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (50.00 KB, text/plain)
2012-05-14 14:24 EDT, Dave
no flags Details
File: dso_list (16.73 KB, text/plain)
2012-05-14 14:24 EDT, Dave
no flags Details
File: build_ids (7.05 KB, text/plain)
2012-05-14 14:24 EDT, Dave
no flags Details
File: xsession_errors (5.87 KB, text/plain)
2012-05-14 14:24 EDT, Dave
no flags Details
File: backtrace (44.32 KB, text/plain)
2012-05-14 14:24 EDT, Dave
no flags Details

  None (edit)
Description Dave 2012-05-14 14:24:52 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        evolution
comment:        I was opaning evolution and it crashed.
crash_function: _int_free
executable:     /usr/bin/evolution
kernel:         3.3.4-1.fc16.i686.PAE
pid:            5894
pwd:            /home/dcatkin
reason:         Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
time:           Mon 14 May 2012 06:58:34 AM MST
uid:            1000
username:       dcatkin

backtrace:      Text file, 45382 bytes
build_ids:      Text file, 7216 bytes
dso_list:       Text file, 17132 bytes
maps:           Text file, 51199 bytes
xsession_errors: Text file, 6011 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=home.69isfine.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=488dd0f439877fd7fb6aba440000000a-1336116853.687571-346188573
:GNOME_KEYRING_CONTROL=/tmp/keyring-Qxfx7L
:IMSETTINGS_MODULE=none
:USER=dcatkin
:USERNAME=dcatkin
:MAIL=/var/spool/mail/dcatkin
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/dcatkin/.local/bin:/home/dcatkin/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/dcatkin
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1631
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/dcatkin
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=dcatkin
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-M9z9rHebxB,guid=d673c8e4c4f1cb74d13ec5020000002a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/dcatkin
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-dcatkin-wMHiPE/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1636,unix/unix:/tmp/.ICE-unix/1636
:GPG_AGENT_INFO=/tmp/keyring-Qxfx7L/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-Qxfx7L/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1849-home.69isfine.com-evolution-231_TIME887096901
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evolution.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=5894

var_log_messages:
:May 14 06:58:34 home kernel: [887103.043943] evolution[5894]: segfault at 3732333d ip 44619200 sp bf978730 error 4 in libc-2.14.90.so[445a2000+1a7000]
:May 14 06:58:35 home abrt[5906]: Saved core dump of pid 5894 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-05-14-06:58:34-5894 (65552384 bytes)
Comment 1 Dave 2012-05-14 14:24:54 EDT
Created attachment 584432 [details]
File: maps
Comment 2 Dave 2012-05-14 14:24:55 EDT
Created attachment 584433 [details]
File: dso_list
Comment 3 Dave 2012-05-14 14:24:57 EDT
Created attachment 584434 [details]
File: build_ids
Comment 4 Dave 2012-05-14 14:24:58 EDT
Created attachment 584435 [details]
File: xsession_errors
Comment 5 Dave 2012-05-14 14:24:59 EDT
Created attachment 584436 [details]
File: backtrace
Comment 6 Milan Crha 2012-05-15 04:45:26 EDT
Thanks for a bug report. This looks like a memory corruption bug, which use to be hard to reproduce. I see in the backtrace that there happened some change in On This Computer/Inbox/Bluemaumau folder, which was about to propagate further, but it suddenly failed in memory free function. The reason for this failure can be basically anything, thus it's hard to address without steps to reproduce.

Are you able to reproduce this, please? Does it help to run evolution like this to reproduce it:
   $ G_SLICE=always-malloc,debug-blocks evolution

Thread 1 (Thread 0xb76f18c0 (LWP 5894)):
#0  0x44619200 in malloc_consolidate (av=0x4474c3e0) at malloc.c:4266
#1  0x44619e83 in malloc_consolidate (av=0x4474c3e0) at malloc.c:4227
#2  _int_free (av=0x4474c3e0, p=<optimized out>, have_lock=0) at malloc.c:4158
#3  0x446adcc1 in __GI___vasprintf_chk (result_ptr=0xbf97892c, flags=1, format=0xb6157903 "folder://%s/%s", args=0xbf978964 "") at vasprintf_chk.c:86
#4  0x4996cef7 in vasprintf (__ap=0xbf978964 "", __fmt=0xb6157903 "folder://%s/%s", __ptr=0xbf97892c) at /usr/include/bits/stdio2.h:199
#5  g_vasprintf (string=0xbf97892c, format=0xb6157903 "folder://%s/%s", args=0xbf978964 "") at gprintf.c:314
#6  0x49945b64 in g_strdup_vprintf (format=0xb6157903 "folder://%s/%s", args=0xbf978964 "") at gstrfuncs.c:253
#7  0x49945b94 in g_strdup_printf (format=0xb6157903 "folder://%s/%s") at gstrfuncs.c:279
#8  0xb60e90ed in e_mail_folder_uri_build (store=0x9e4b3a8, folder_name=<optimized out>) at e-mail-folder-utils.c:1399
#9  0xb60e1cbc in mail_backend_folder_changed_cb (folder_cache=0xa045c48, store=0x9e4b3a8, folder_name=0xa1dc4d0 "Inbox/Bluemaumau", new_messages=0, msg_uid=0x0, msg_sender=0x0, msg_subject=0x0, shell=0x9e2a800) at e-mail-backend.c:551
#10 0x4c1d148e in e_marshal_VOID__OBJECT_STRING_INT_STRING_STRING_STRING (closure=0xa10e938, return_value=0x0, n_param_values=7, param_values=0x9e2ab60, invocation_hint=0xbf978b30, marshal_data=0x0) at e-marshal.c:1871
#11 0x49820655 in g_closure_invoke (closure=0xa10e938, return_value=0x0, n_param_values=7, param_values=0x9e2ab60, invocation_hint=0xbf978b30) at gclosure.c:774
#12 0x49833870 in signal_emit_unlocked_R (node=0xa0fc880, detail=0, instance=0xa045c48, emission_return=0x0, instance_and_params=0x9e2ab60) at gsignal.c:3272
#13 0x4983c30f in g_signal_emit_valist (instance=0xa045c48, signal_id=251, detail=0, var_args=0xbf978d04 "\364?\240Ip*n\n\330&\222Ip*n\n`H]\n\271\034\024\266\364?\240Ip\262J\n\220\215\227\277<") at gsignal.c:3003
#14 0x4983c474 in g_signal_emit (instance=0xa045c48, signal_id=251, detail=0) at gsignal.c:3060
#15 0xb6141d93 in flush_updates_idle_cb (self=0xa045c48) at mail-folder-cache.c:180
#16 0x49922941 in g_idle_dispatch (source=0xa4ab270, callback=0xb6141cb0 <flush_updates_idle_cb>, user_data=0xa045c48) at gmain.c:4801
#17 0x49926aff in g_main_dispatch (context=0x9d80268) at gmain.c:2441
#18 g_main_context_dispatch (context=0x9d80268) at gmain.c:3011
#19 0x49927240 in g_main_context_iterate (context=0x9d80268, block=1234394384, dispatch=1, self=0x9d4e4d8) at gmain.c:3089
#20 0x49927877 in g_main_loop_run (loop=0xa10aba0) at gmain.c:3297
#21 0x4d2dc2d5 in gtk_main () at gtkmain.c:1362
#22 0x08049cb7 in main (argc=1, argv=0xbf978fc4) at main.c:709
Comment 7 Fedora End Of Life 2013-01-16 10:19:06 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 12:40:39 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.